## org.springframework.remoting.jaxws
Class LocalJaxWsServiceFactory

    java.lang.Object
      org.springframework.remoting.jaxws.LocalJaxWsServiceFactory

Direct Known Subclasses:
  JaxWsPortClientInterceptor, LocalJaxWsServiceFactoryBean

    public class LocalJaxWsServiceFactory

extends Object

Factory for locally defined JAX-WS `Service` references. Uses the JAX-WS `Service.create(java.net.URL, javax.xml.namespace.QName)` factory API underneath.

Serves as base class for `LocalJaxWsServiceFactoryBean` as well as `JaxWsPortClientInterceptor` and `JaxWsPortProxyFactoryBean`.

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  `Service`, `LocalJaxWsServiceFactoryBean`, `JaxWsPortClientInterceptor`, `JaxWsPortProxyFactoryBean`

Constructor Summary
`LocalJaxWsServiceFactory()`

Method Summary
`Service` `createJaxWsService()` Create a JAX-WS Service according to the parameters of this factory.
`String` `getNamespaceUri()` Return the namespace URI of the service.
`protected QName` `getQName(String name)` Return a QName for the given name, relative to the namespace URI of this factory, if given.
`String` `getServiceName()` Return the name of the service.
`URL` `getWsdlDocumentUrl()` Return the URL of the WSDL document that describes the service.
`void` `setExecutor(Executor executor)` Set the JDK concurrent executor to use for asynchronous executions that require callbacks.
`void` `setHandlerResolver(HandlerResolver handlerResolver)` Set the JAX-WS HandlerResolver to use for all proxies and dispatchers created through this factory.
`void` `setNamespaceUri(String namespaceUri)` Set the namespace URI of the service.
`void` `setServiceName(String serviceName)` Set the name of the service to look up.
`void` `setWsdlDocumentUrl(URL wsdlDocumentUrl)` Set the URL of the WSDL document that describes the service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalJaxWsServiceFactory

    public LocalJaxWsServiceFactory()

Method Detail

### setWsdlDocumentUrl

    public void setWsdlDocumentUrl(URL wsdlDocumentUrl)

  Set the URL of the WSDL document that describes the service.

### getWsdlDocumentUrl

    public URL getWsdlDocumentUrl()

  Return the URL of the WSDL document that describes the service.

### setNamespaceUri

    public void setNamespaceUri(String namespaceUri)

  Set the namespace URI of the service. Corresponds to the WSDL "targetNamespace".

### getNamespaceUri

    public String getNamespaceUri()

  Return the namespace URI of the service.

### setServiceName

    public void setServiceName(String serviceName)

  Set the name of the service to look up. Corresponds to the "wsdl:service" name.

### getServiceName

    public String getServiceName()

  Return the name of the service.

### setExecutor

    public void setExecutor(Executor executor)

  Set the JDK concurrent executor to use for asynchronous executions that require callbacks.

  See Also:
    `Service.setExecutor(java.util.concurrent.Executor)`

### setHandlerResolver

    public void setHandlerResolver(HandlerResolver handlerResolver)

  Set the JAX-WS HandlerResolver to use for all proxies and dispatchers created through this factory.

  See Also:
    `Service.setHandlerResolver(javax.xml.ws.handler.HandlerResolver)`

### createJaxWsService

    public Service createJaxWsService()

  Create a JAX-WS Service according to the parameters of this factory.

  See Also:
    `setServiceName(java.lang.String)`, `setWsdlDocumentUrl(java.net.URL)`

### getQName

    protected QName getQName(String name)

  Return a QName for the given name, relative to the namespace URI of this factory, if given.

  See Also:
    `setNamespaceUri(java.lang.String)`